Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SharedInputSource Class Reference
[IO core interfaces]

Inheritance diagram for SharedInputSource:

## Detailed Description

InputSource class wrapper, allows to manage class instances counter.

## Public Methods

| SharedInputSource (const String *path, InputSource *base)
int | addref ()
| Increments reference counter.
int | delref ()
| Decrements reference counter.
const byte * | getStream ()
| Returns currently opened stream.
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const

## Member Function Documentation

const byte* SharedInputSource::getStream | ( |  | ) | `[inline]`

| Returns currently opened stream. Opens it, if not yet opened.

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.